70
ответов

GTK + в приложениях Kubuntu выглядит плохо

Я установил почтовый клиент Evolution на Kubuntu 11.10, и это не так мило, как ожидалось. Eclipse также выглядит плохо. У меня есть плагин GTK + Appearance в настройках системы KDE и уже пробовал QTCurve ...
вопрос задан: 13 December 2011 01:02
48
ответов

Как установить и переключиться на рабочий стол Unity 2D?

Я читал, что теперь есть 2D-версия Unity, построенная на Qt. Как его установить, и как только он будет установлен, как мне переключиться на него?
вопрос задан: 22 April 2012 00:07
44
ответа

Как я могу называть мое приложение Qt похожим на написанное в Gtk?

Марк Шаттлворт недавно сообщил о решении включить библиотеки Qt в выпуск 11.10 с последующим от Jono Bacon. То, что отталкивает меня от приложений Qt, это то, что они не смешиваются ...
вопрос задан: 10 October 2011 14:00
36
ответов

Переход от ubuntu к kubuntu. Какие приложения использовать?

Я давний пользователь Ubuntu. Однако я разочарован тем, как идет ubuntu, и хотел бы перейти в KDE. Можете ли вы предложить хорошие приложения KDE для выполнения основных задач, таких как чат, e -...
вопрос задан: 9 July 2011 15:23
30
ответов

В чем разница между GTK и QT?

Пожалуйста, несите меня, поскольку я новичок в Linux. Я уже несколько лет пишу GUI-программы в REALbasic на Mac. Я пытаюсь изучить Python, и я хочу писать графические приложения для Linux (в первую очередь ...
вопрос задан: 4 December 2011 21:01
30
ответов

Как настроить Qt Creator для компиляции исполняемых файлов Windows?

Версия Qt Creator, которая поставляется в репозитории. может компилировать исполняемые файлы Linux из коробки. Тем не менее, похоже, какая-то конфигурация необходима, чтобы заставить ее скомпилировать приложения Windows. Я ...
вопрос задан: 29 April 2011 23:55
30
ответов

Каковы проблемы доступности Qt?

Джонатан Ридел сказал в своем блоге, что есть проблемы доступности с Qt. Я просто хотел бы знать, что это за проблемы. Большое вам спасибо и продолжайте отличную работу. Скалы Ubuntu!
вопрос задан: 6 March 2011 23:07
27
ответов

Будет ли новый рабочий стол Unity запрограммирован в Qt?

Будет ли рабочая версия Unity, запланированная на 11.04, запрограммирована с использованием Qt? Я прошу об этом в отношении публикации блога Мэтта Циммермана несколько дней назад, где он сообщил, что Qt был ...
вопрос задан: 28 October 2010 02:16
26
ответов

Как обновить QT 5.5.1 в Ubuntu 16.04

На Ubuntu 16.04 Qt 5.5.1 включен и используется по умолчанию. Как я могу обновить систему, чтобы она использовала более новую версию по всей системе по умолчанию (например, QT 5.7.1)? Видимо, в 5.5.1 есть ошибка ...
вопрос задан: 25 May 2018 13:08
24
ответа

Ошибка qmake при попытке создания qwbfs

Я пытаюсь установить приложение qwbfs, но когда я вхожу в команду: make i get this: tools.c: 8: 25: фатальная ошибка: openssl / md5.h: такой компилятор файла или каталога не завершен. сделать [1]: *** [.....
вопрос задан: 28 April 2012 23:19
23
ответа

Какой фреймворк / инструментарий для современных приложений единства?

Я хочу закодировать некоторые приложения для Ubuntu (без других платформ), но какой gui-инструментарий будет «официальным» ... В прошлом (gnome) gtk + был моим выбором, но afaik unity использует Nux. Я не хочу ...
вопрос задан: 21 June 2012 17:11
20
ответов

Как убедиться, что Qt5.4.2 установлен правильно [dублировать]

Я установил qt5.4 отсюда в Ubuntu 14.04, но когда я запустил: qmake -v Я всегда получаю старую версию Qt5.2.1, хотя я думаю, что она установлена ​​здесь Qt версии 5.4.2 в / opt / qt54 / lib. Кто-нибудь может сказать ...
вопрос задан: 3 June 2017 22:26
20
ответов

Как я могу получить приложения Qt5 для использования темы GTK в Ubuntu 17.04?

Поскольку я обновил Ubuntu 17.04, приложения Qt5 (такие как Qt Creator) больше не будут использовать тему GTK. Я попытался изменить это с помощью qt5ct, но он имеет только стили Fusion и Windows, ...
вопрос задан: 29 April 2017 14:23
20
ответов

Unity Launcher API для C ++

Я пытаюсь разработать некоторую программу в QT с QT SDK. Вчера я читал о Unity Launcher API на официальном веб-сайте ubuntu. Но есть пример только для Валы и питона. Можно использовать ...
вопрос задан: 10 October 2011 21:39
20
ответов

Как распространять приложения?

Я новичок в разработке Ubuntu. В качестве учебного опыта я написал собственное приложение чата с использованием qt4, и я хочу развернуть его в каком-то файле настроек. Самый простой способ развертывания ...
вопрос задан: 10 October 2011 18:32
20
ответов

Каковы концептуальные и технические различия между & ldquo; Apps & rdquo; и пакеты?

Я немного смущен недавним объявлением (http://developer.ubuntu.com/2011/09/announcing-the-ubuntu-app-developer-site/) нового сайта разработчика «App». Я упал с разработки Ubuntu и ...
вопрос задан: 4 October 2011 15:08
18
ответов

VLC 3 не запускается

Версия: VLC media player 3.0.1 Vetinari (версия 3.0.1-0-gec0f700fcc) Ubuntu 18.04 Ошибка: невозможно загрузить модуль `/usr/lib/x86_64-linux-gnu/vlc/plugins/gui/libqt_plugin.so '(libQt5Svg .so.5: не может ...
вопрос задан: 14 May 2018 20:32
18
ответов

Состояние Okular в Ubuntu 17.10?

С Ubuntu 17.10 Okular (установленный через репозитории Ubuntu, например, apt install okular), кажется, работает намного хуже, чем в предыдущих версиях. Это как на Wayland, так и на X-сессии. Вот ...
вопрос задан: 26 January 2018 10:24
18
ответов

Как проверить, использую ли я две разные версии cmake?

У меня возникли некоторые проблемы с тем, что Qt не может использовать новейшую версию cmake. Недавно я обновил версию, используя apt-get cmake -version cmake версии 3.2.2. Но Qt как-то все еще ...
вопрос задан: 23 October 2017 21:59
18
ответов

как установить или вернуться к более старой версии Qt?

У меня Qt 5.7. Мне нужно Qt 5.6. Могу ли я вернуть свою текущую установленную версию на 5.6 или установить 5.6 рядом с ней с помощью apt / repos? Или я смогу использовать установщик Qt? Это для компиляции ...
вопрос задан: 6 May 2017 00:42
18
ответов

GTK и Qt - какие они? [dубликат]

Довольно неожиданно для Ubuntu, но есть некоторые проблемы с программированием Lazarus и FPC. В Lazarus IDE я продолжаю искать вещи, которые не работают, и Форум Lazarus продолжает говорить мне, что эти функции ...
вопрос задан: 16 May 2016 22:14
18
ответов

Как заставить qt-приложения выбирать шрифт Regular style by-Default?

В современных версиях Ubuntu (11.10, 12.04) есть дополнительный стиль для шрифта Ubuntu под названием «Средний», он по умолчанию немного толще, чем пользователь «Обычный». Проблема в том, что все приложения QT ...
вопрос задан: 16 March 2012 15:18
18
ответов

Как создать пакет установки?

Я программирую приложение Qt в Ubuntu. Ну, я новичок в Linux, но хорошо в Qt. Я хочу знать, как создавать статические библиотеки Qt (Qt установлен из Synaptic), создать установочный пакет и как ...
вопрос задан: 13 April 2011 09:27
18
ответов

Гугл Земле и тему Скайп

Я использую Google Планета Земля и Skype начиная с версии бойкий, и до сих пор эмуляции тема для GNOME на QT, работает отлично, но когда я использую тему по умолчанию, кроме того, и сияние в Maverick, оба приложения выглядят ...
вопрос задан: 18 January 2011 08:39
17
ответов

Использование AppIndicators с картой Qt

Есть ли класс или библиотека где-нибудь, что упрощает использование новой инфраструктуры AppIndicator из приложения Qt? Кажется странным, что мне нужно включить заголовки GTK / библиотеки и т. Д ....
вопрос задан: 18 June 2012 19:07
16
ответов

Как сделать установщик .deb для проекта PySide (Qt)

Я сделал небольшое программное обеспечение, используя PySide, графическую библиотеку для python с использованием Qt. Я успешно создал его в исполняемый файл для Ubuntu. Http: //download.ueseo.org/sitemap-creator/SitemapCreator2.1 -...
вопрос задан: 4 June 2012 15:44
16
ответов

Минимальный пакет для установки Qt Assistant

Мы используем Qt Assistant в качестве нашей справочной системы для пользовательского приложения, которое будет работать на Ubuntu. При создании пакета .deb мне нужно включить значение «Требуется:», которое делает мой пакет зависимым от ...
вопрос задан: 14 December 2011 16:59
16
ответов

Почему приложения Qt4 в Lubuntu не забирают тему GTK? [Дубликат]

Я установил Lubuntu и заменил игроков по умолчанию на Clementine для аудио и VLC для видео. Проблема в том, что я не забираю тему GTK, как они обычно делают в Gnome / Xfce. ...
вопрос задан: 25 November 2011 16:05
16
ответов

Быстрый шаблон для PyQt?

Поскольку мне нравятся Qt и Python, есть ли Quickly шаблон для PyQt, аналогичный PyGTK?
вопрос задан: 10 October 2011 18:09
15
ответов

Правильный ли это код подключения сигнала Ubuntu One DBus?

Я впервые использую DBus, поэтому я не совсем уверен, правильно ли я поступаю. Я пытаюсь подключить службу Ubuntu One DBus и получить учетные данные для входа в мое приложение ...
вопрос задан: 30 June 2012 18:25